[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.BoundsRect

The Top, Left and Bottom, Right for the control, in client coordinates.

## Declaration

Source position: controls.pp line 1791

`public property TControl.BoundsRect : TRect read GetBoundsRect write SetBoundsRect;`

## Description

The BoundsRect rectangle describes the Top, Left and Bottom, Right coordinates for the control, relative to its parent.

The values are based on the Top, Left, Width and Height properties of the control.

Set BoundsRect to move and/or resize the control. This can reduce flicker, occurring otherwise when Top, Width etc. are set individually.